from django import forms

from davinci.gcalendar.models import GCalSync

from durationwidget.widgets import TimeDurationWidget


class GCalSyncForm(forms.ModelForm):
    class Meta:
        model = GCalSync
        widgets = {
            'sync_interval': TimeDurationWidget(show_seconds=False)
        }
        fields = "__all__"
