from django.contrib import admin

from davinci.icalendar.forms import ICalSyncForm
from davinci.icalendar.models import ICalSync

class ICalSyncAdmin(admin.ModelAdmin):
    form = ICalSyncForm
    list_display = ['name', 'target', 'purge', 'humanized_sync_interval', 'last_sync', 'active']

admin.site.register(ICalSync, ICalSyncAdmin)
